Subject: Re: [PATCH] Teach receive-pack how to keep pack files when unpacklooseobjects = 0.

From: Shawn Pearce <[email-masked]>
Date: Tue, 31 Oct 2006 01:56:35 -0500

Junio C Hamano <[email-masked]> wrote:
> Shawn Pearce <[email-masked]> writes:
> 
> >> Because that approach assumes recieve-pack and unpack-objects
> >> and index-pack are from the same vintage (otherwise your
> >> receive-pack would need to have a way to see if unpack-objects
> >> and index-pack would grok --pack_header argument), we could even
> >> get away without passing the pack version if we wanted to.
> >...
> > BTW I think we do need to pass the pack version in the option.
> 
> We are in agreement; I mentioned "we could ... if we wanted to"
> because I wanted to see if you are paying attention ;-).

Hah.  Trying to keep me on my toes aren't you.  :-)

I almost have the change finished. I'll send it before I go to bed.

--